GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
solver.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/network.h"`
`#include <functional>`
`#include <any>`
`#include <vector>`
`#include <tuple>`
`#include <string>`

## Classes
struct | gridfire::solver::SolverContextBase
| Base class for solver callback contexts. More...
class | gridfire::solver::NetworkSolverStrategy< EngineT >
| Abstract base class for network solver strategies. More...

## Namespaces
namespace | gridfire
namespace | gridfire::solver

## Typedefs
using | gridfire::solver::DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.